Flows
GET https://psh.nebent.net/api/flows/
curl --request GET \
--url 'https://psh.nebent.net/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://psh.nebent.net/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name, title, description, url. |
| website_id | Optional Integer | |
| datetime_field | Optional String | Allowed values: last_sent_datetime, datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: flow_id, datetime, last_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"wait_time": 1,
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-10 11:42:37"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://psh.nebent.net/api/flows?page=1",
"last": "https://psh.nebent.net/api/flows?page=1",
"next": null,
"prev": null,
"self": "https://psh.nebent.net/api/flows?page=1"
}
}
GET https://psh.nebent.net/api/flows/{flow_id}
curl --request GET \
--url 'https://psh.nebent.net/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://psh.nebent.net/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"wait_time": 1,
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-10 11:42:37"
}
}
POST https://psh.nebent.net/api/flows
| Parameters | Details | Description |
|---|---|---|
| website_id | Required Integer | - |
| name | Required String | - |
| title | Required String | - |
| description | Required String | - |
| url | Optional String | - |
| image | Optional File | - |
| wait_time | Required Integer | - |
| wait_time_type | Required String | Allowed values: minutes, hours, days |
| trigger_type | Optional String | Allowed values: subscription, pageview |
| pageview_trigger_condition | Optional String | Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| pageview_trigger_value | Optional String | - |
| cancel_pageview_is_enabled | Optional Boolean | - |
| cancel_pageview_condition | Optional String | Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| cancel_pageview_value | Optional String | - |
| cooldown_type | Optional String | Allowed values: none, once, time |
| cooldown_time | Optional Integer | - |
| cooldown_time_type | Optional String | Allowed values: minutes, hours, days |
| button_title_1 | Optional String | - |
| button_url_1 | Optional String | - |
| button_title_2 | Optional String | - |
| button_url_2 | Optional String | - |
| is_silent | Optional Boolean | - |
| is_auto_hide | Optional Boolean | - |
| ttl | Optional String | Allowed values: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Optional String | - |
| utm_medium | Optional String | - |
| utm_campaign | Optional String | - |
| segment | Optional String | Allowed values: all, INT segment_id |
| is_enabled | Optional Boolean | - |
| auto_apply_to_matching | Optional Boolean | - |
| urgency | Optional Integer | - |
curl --request POST \
--url 'https://psh.nebent.net/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://psh.nebent.net/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"wait_time": "Example",
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-10 11:42:37"
}
}
POST https://psh.nebent.net/api/flows/{flow_id}
| Parameters | Details | Description |
|---|---|---|
| website_id | Optional Integer | - |
| name | Optional String | - |
| title | Optional String | - |
| description | Optional String | - |
| url | Optional String | - |
| image | Optional File | - |
| wait_time | Optional Integer | - |
| wait_time_type | Optional String | Allowed values: minutes, hours, days |
| trigger_type | Optional String | Allowed values: subscription, pageview |
| pageview_trigger_condition | Optional String | Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| pageview_trigger_value | Optional String | - |
| cancel_pageview_is_enabled | Optional Boolean | - |
| cancel_pageview_condition | Optional String | Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| cancel_pageview_value | Optional String | - |
| cooldown_type | Optional String | Allowed values: none, once, time |
| cooldown_time | Optional Integer | - |
| cooldown_time_type | Optional String | Allowed values: minutes, hours, days |
| button_title_1 | Optional String | - |
| button_url_1 | Optional String | - |
| button_title_2 | Optional String | - |
| button_url_2 | Optional String | - |
| is_silent | Optional Boolean | - |
| is_auto_hide | Optional Boolean | - |
| ttl | Optional String | Allowed values: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Optional String | - |
| utm_medium | Optional String | - |
| utm_campaign | Optional String | - |
| segment | Optional String | Allowed values: all, INT segment_id |
| is_enabled | Optional Boolean | - |
| auto_apply_to_matching | Optional String | - |
| urgency | Optional Integer | - |
curl --request POST \
--url 'https://psh.nebent.net/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://psh.nebent.net/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"wait_time": "Example",
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-10 11:42:37"
}
}
DELETE https://psh.nebent.net/api/flows/{flow_id}
curl --request DELETE \
--url 'https://psh.nebent.net/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://psh.nebent.net/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \